al_lock_vertex_buffer(3)

NAME

al_lock_vertex_buffer - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void* al_lock_vertex_buffer(ALLEGRO_VERTEX_BUFFER* buffer, int offset,
       int length, int flags)

DESCRIPTION

Locks a vertex buffer so you can access its data. Will return NULL if the parameters are invalid, if reading is requested from a write only buffer, or if the buffer is already locked.

Parameters:

•   buffer - Vertex buffer to lock

•   offset - Vertex index of the start of the locked range

•   length - How many vertices to lock

•   flags - ALLEGRO_LOCK_READONLY, ALLEGRO_LOCK_WRITEONLY or ALLEGRO_LOCK_READWRITE

SINCE

5.1.3

SEE ALSO

ALLEGRO_VERTEX_BUFFER(3), al_unlock_vertex_buffer(3)